gi-glib-2.0.17: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestLogBuffer

Contents

- Exported types
- Methods
  - free
  - push

Description

No description available in the introspection data.

Synopsis

- newtype TestLogBuffer = TestLogBuffer (ManagedPtr TestLogBuffer)
- newZeroTestLogBuffer :: MonadIO m => m TestLogBuffer
- noTestLogBuffer :: Maybe TestLogBuffer
- testLogBufferFree :: (HasCallStack, MonadIO m) => TestLogBuffer -> m ()
- testLogBufferPush :: (HasCallStack, MonadIO m) => TestLogBuffer -> Word32 -> Word8 -> m ()

# Exported types

newtype TestLogBuffer Source #

Memory-managed wrapper type.

Constructors

TestLogBuffer (ManagedPtr TestLogBuffer) |

Instances

WrappedPtr TestLogBuffer Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods wrappedPtrCalloc :: IO (Ptr TestLogBuffer) Source # wrappedPtrCopy :: TestLogBuffer -> IO TestLogBuffer Source # wrappedPtrFree :: Maybe (FunPtr (Ptr TestLogBuffer -> IO ())) Source #
tag ~ AttrSet => Constructible TestLogBuffer tag Source # |
Instance details Defined in GI.GLib.Structs.TestLogBuffer Methods new :: MonadIO m => (ManagedPtr TestLogBuffer -> TestLogBuffer) -> [AttrOp TestLogBuffer tag] -> m TestLogBuffer Source #

newZeroTestLogBuffer :: MonadIO m => m TestLogBuffer Source #

Construct a `TestLogBuffer` struct initialized to zero.

noTestLogBuffer :: Maybe TestLogBuffer Source #

A convenience alias for `Nothing` :: `Maybe` `TestLogBuffer`.

# Methods

## free

testLogBufferFree :: (HasCallStack, MonadIO m) => TestLogBuffer -> m () Source #

Internal function for gtester to free test log messages, no ABI guarantees provided.

## push

testLogBufferPush :: (HasCallStack, MonadIO m) => TestLogBuffer -> Word32 -> Word8 -> m () Source #

Internal function for gtester to decode test log messages, no ABI guarantees provided.